package com.jasamedika.medifirst2000.vo;

import java.util.HashSet;
import java.util.Set;

import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.helper.Caption;
import com.jasamedika.medifirst2000.vo.DetailAlasanPemindahanPasienVO;
import com.jasamedika.medifirst2000.vo.TransferPasienInternalVO;

/**
 *  class Agama
 * 
 * @author Generator
 */
public class TransferPasienInformasiMedisVO  {
	
	@ManyToOne
	@Caption(value="Transfer Pasien Internal")
	private TransferPasienInternalVO transferPasienInternal;
	
	@ManyToOne
	@Caption(value="Transfer Pasien Exsternal")
	private TransferPasienExsternalVO transferPasienExsternal;

	@OneToMany
	@Caption(value="Detail Informasi Medis")
	private Set<DetailInformasiMedisVO>detailInformasiMedis=new HashSet<DetailInformasiMedisVO>();

	public TransferPasienInternalVO getTransferPasienInternal() {
		return transferPasienInternal;
	}

	public void setTransferPasienInternal(TransferPasienInternalVO transferPasienInternal) {
		this.transferPasienInternal = transferPasienInternal;
	}

	public Set<DetailInformasiMedisVO> getDetailInformasiMedis() {
		return detailInformasiMedis;
	}

	public void setDetailInformasiMedis(Set<DetailInformasiMedisVO> detailInformasiMedis) {
		this.detailInformasiMedis = detailInformasiMedis;
	}

	public TransferPasienExsternalVO getTransferPasienExsternal() {
		return transferPasienExsternal;
	}

	public void setTransferPasienExsternal(TransferPasienExsternalVO transferPasienExsternal) {
		this.transferPasienExsternal = transferPasienExsternal;
	}

	
	
	

}

